%define aurox_ver 11.0
%define rel 1


Summary: The Synaptics touchpad X driver
Name: synaptics
Version: 0.14.3
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: User Interface/X Hardware Support
URL: http://w1.894.telia.com/~u89404340/touchpad/
Source0: %{name}-%{version}.tar.bz2
Source1: add_synaptics.pl
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: xorg-x11-devel, xorg-x11-sdk
PreReq: xorg-x11


%description
This is a driver for the Synaptics TouchPad for XOrg/XFree86 4.x. A Synaptics
touchpad by default operates in compatibility mode by emulating a standard
mouse. However, by using a dedicated driver, more advanced features of the
touchpad becomes available.

Features:

    * Movement with adjustable, non-linear acceleration and speed.
    * Button events through short touching of the touchpad.
    * Double-Button events through double short touching of the touchpad.
    * Dragging through short touching and holding down the finger on the touchpad.
    * Middle and right button events on the upper and lower corner of the touchpad.
    * Vertical scrolling (button four and five events) through moving the finger on the right side of the touchpad.
    * The up/down button sends button four/five events.
    * Horizontal scrolling (button six and seven events) through moving the finger on the lower side of the touchpad.
    * The multi-buttons send button four/five events, and six/seven events for horizontal scrolling.
    * Adjustable finger detection.
    * Multifinger taps: two finger for middle button and three finger for right button events. (Needs hardware support. Not all models implement this feature.)
    * Run-time configuration using shared memory. This means you can change parameter settings without restarting the X server.

%prep
%setup -q 
# remove included XFree86 headers
rm -rf Xincludes

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/local/bin

%post
if [ `dmesg|grep Synaptics|wc -l` -gt 0 ]; then
    if [ `cat /etc/X11/xorg.conf|grep Synaptics|wc -l` -eq 0 ]; then
	/usr/local/bin/add_synaptics.pl
	mv /etc/X11/xorg.conf /etc/X11/xorg.conf.back
	mv /etc/X11/xorg.conf.new /etc/X11/xorg.conf
    else
	echo "Synaptics Touchpad already configured..."
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local
/usr/X11R6
%doc COMPATIBILITY FILES INSTALL INSTALL.DE INSTALL.FR LICENSE README README.alps TODO


%changelog
* Wed Aug 03 2005 Karol Kozimor <kkozimor@aurox.org> 0.14.0-11.0.aur.1
- 0.14.3.

* Mon Nov 08 2004 Aurox Team <aurox@aurox.org> 0.13.6-10.1.aur.2.2
- check if Synaptics is already configured
- add test if there's a Synaptics before running %post script
- create Synaptics entry in xorg.conf with device: /dev/input/mice
- add Mouse0 AlwaysCore
- update to 0.13.6
- s/XF86Config/xorg.conf/g in add_synaptics.pl
- "disable dri" removed
- fixes in add_synaptics.pl
- %post section added: run add_synaptics.pl
- add_synaptics.pl added
- version 0.13.4
- new spec
- use prefix /usr not /usr/local
- gzip man pages
- initial import

* Tue Feb 03 2004 Giorgio Bellussi <bunga@libero.it>
- Created RedHat compatible .spec file
